import pygame
from pygame.locals import *
from ball import *
from globals import *

class Intro:
	def __init__(self):
		self.intro_sound = pygame.mixer.Sound('intro.ogg')
		self.intro_pic = pygame.image.load('intro.png')
	def play(self):
		chan = self.intro_sound.play()
		y = 480
		Global.screen.fill([128,128,128])
		while chan.get_busy() and Global.state != Global.GAME_END:
			Global.screen.blit(self.intro_pic, (0, y))
			if y > 0:
				y = y - 1
			pygame.display.flip()
			event_pump()
			pygame.time.delay(40)
			
			keys = pygame.key.get_pressed()
			if keys[K_RETURN] or keys[K_ESCAPE] or keys[K_SPACE]:
				break
		self.intro_sound.stop()
		